Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.app.image
Class JImagePainter

    java.lang.Object
      |
      +--quicktime.app.image.JImagePainter

All Implemented Interfaces:
  Paintable

public class JImagePainter
extends java.lang.Object
implements Paintable

This class implements the Paintable interface and is used in conjunction with a QTImageDrawer to capture the resulting pixel data of the specified java.awt.Image for QuickTime to render.

See Also:
  `QTImageDrawer`

Constructor Summary
`JImagePainter(java.awt.Image image)` A Utility class to render java.awt.Image objects where the resulting pixel data will be drawn within a QuickTime context.

Method Summary
`void` | `newSizeNotified(QTImageDrawer drawer, java.awt.Dimension d)` The Container object (QTImageDrawer) of the Paintable tells the paintable object the size of its available drawing surface.
`java.awt.Rectangle[]` | `paint(java.awt.Graphics g)` Paint on the graphics.
`void` | `prepareImage(java.awt.Component javaComponent)` This prepares the Image for drawing, ensuring that all of the image data is available and present.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JImagePainter

    public JImagePainter(java.awt.Image image)

  A Utility class to render java.awt.Image objects where the resulting pixel data will be drawn within a QuickTime context. This class is generally used in conjunction with the QTImageDrawer.
  Parameters:
    `image` - the java.awt.Image to draw.
  See Also:
    `QTImageDrawer`

Method Detail

### prepareImage

    public void prepareImage(java.awt.Component javaComponent)

  This prepares the Image for drawing, ensuring that all of the image data is available and present.
  Parameters:
    `javaComponent` - the java.awt.Component

### newSizeNotified

    public void newSizeNotified(QTImageDrawer drawer,
                                java.awt.Dimension d)

  The Container object (QTImageDrawer) of the Paintable tells the paintable object the size of its available drawing surface. Any drawing done outside of these bounds (originating at 0,0) will be clipped. You should not call this method directly - it will be called by the QTImageDrawer object when its old pixel data is invalid and new pixel data is required.

  After this call is received by the Paintable it should return in the paint method a rectangle that describes the complete size of the image.

  Specified by:
    `newSizeNotified` in interface `Paintable`
  Parameters:
    `drawer` - the QTImageDrawer that is notifiying the Paintable object that its size has changed.
    `d` - the new size of the offscreen image that the painter can paint into.

### paint

    public java.awt.Rectangle[] paint(java.awt.Graphics g)

  Paint on the graphics. The supplied component is the component from which the graphics object was derived or related to and is also the component that is the object that paint was called upon that has called this method. The Graphics object is what you should paint on. This maybe an on or off screen graphics. You should not cache this graphics object as it can be different between different calls.
  Specified by:
    `paint` in interface `Paintable`
  Parameters:
    `comp` - the component from which the Graphics object was derived or related too.
    `g` - the graphics to paint on.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD